name: Deploy new version of the application
run-name: ${{ gitea.actor }} is deploying new version of the application 🚀
on: [push]

jobs:
  run_deployment:
    name: Deploy Application
    runs-on: ubuntu-latest
    steps:
      - name: Install ssh keys 🔑
        run: |
          install -m 600 -D /dev/null ~/.ssh/id_rsa
          echo "${{ secrets.SSH_PRIVATE_KEY }}" > ~/.ssh/id_rsa
          chmod 600 ~/.ssh/id_rsa
          ssh-keyscan -H ${{ secrets.SSH_HOST }} >> ~/.ssh/known_hosts
      - name: Deploy application via SSH 🚀
        run: |
          ssh -o StrictHostKeyChecking=no ${{ secrets.SSH_USER }}@${{ secrets.SSH_HOST }} << 'EOF'
            cd ${{ secrets.WORK_DIR }} || exit
            git pull origin ${{ secrets.MAIN_BRANCH }}
          EOF
      - name: Deployment completed ✅
        run: echo "Deployment of the new version completed successfully!"